%define name    metabar
%define version 0.8
%define release %mkrel 4
%define Summary A sidebar plugin for KDE's Konqueror

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License: GPL
Group: Graphical desktop/KDE
Source: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/metabar/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
BuildRequires: kdebase-devel

%description
A sidebar plugin for KDE's Konqueror which shows information and actions for 
selected files and directories.

%prep
%setup -q -n %name

%build
%define __libtoolize /bin/true
%define __cputoolize /bin/true
%configure --disable-rpath --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib}
perl -pi -e "s|KDE_INCLUDES\s+=.*|KDE_INCLUDES = -I /usr/include|" src/Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root)
%{_libdir}/kde3/*.so
%defattr(0644,root,root,755)
%{_libdir}/kde3/*.la
%{_datadir}/apps/konqsidebartng/add/metabar_add.desktop
%{_datadir}/apps/konqsidebartng/entries/metabar.desktop
%{_datadir}/apps/%name
%{_datadir}/icons/hicolor/*/apps/%name.png

%changelog
* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-4mdk
- Fix Buildrequires for amd64 thanks laurent (bis) 

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-3mdk
- Really Fix Buildrequires thanks laurent

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-2mdk
- Fix BuildRequires

* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 0.8-1mdk
- 0.8

* Sat May 07 2005 Couriousous <couriousous@mandriva.org> 0.7-1mdk
- First Mandriva release
